GLOBAL.STRINGS.NAMES.GRIMSCYTHE = "Time"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GRIMSCYTHE = "The imminence."

PrefabFiles = {
	"grimreaper","grimscythe"
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/grimreaper.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/grimreaper.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/grimreaper.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/grimreaper.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/grimreaper_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/grimreaper_silho.xml" ),

    Asset( "IMAGE", "bigportraits/grimreaper.tex" ),
    Asset( "ATLAS", "bigportraits/grimreaper.xml" ),
	
	Asset( "IMAGE", "images/map_icons/grimreaper.tex" ),
	Asset( "ATLAS", "images/map_icons/grimreaper.xml" ),

}

local require = GLOBAL.require

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.grimreaper = "Imminence"
GLOBAL.STRINGS.CHARACTER_NAMES.grimreaper = "The Grim Reaper"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.grimreaper = "*Famineless. \n*Hits harder, has more range, but hits slowly. \n*Less sanity."
GLOBAL.STRINGS.CHARACTER_QUOTES.grimreaper = "\"Time is a deadly weapon.\""

-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.GRIMREAPER = require "speech_grimreaper"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "grimreaper")


AddPrefabPostInit("grimscythe")
AddMinimapAtlas("images/map_icons/grimreaper.xml")
AddModCharacter("grimreaper")

